# $Revision: 1.73 $, $Date: 2002/10/12 16:51:30 $
Summary:	ClanLib, the platform independent game SDK
Summary(pl):	ClanLib, niezaleny od platformy SDK do gier
Summary(pt_BR):	SDK Clanlib
Name:		ClanLib
Version:	0.6.1
Release:	6
License:	LGPL
Group:		Libraries
Source0:	http://dark.x.dtu.dk/~mbn/clanlib/download/download-japj/%{name}-%{version}/%{name}-%{version}-1.tar.gz
Patch0:		%{name}-OPT.patch
Patch1:		%{name}-config.patch
URL:		http://www.clanlib.org/
# doesn't build with 0.9.12
#BuildRequires:	DirectFB-devel = 0.9.9
BuildRequires:	Hermes-devel >= 1.3.1
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	libmikmod-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel >= 1:1.0
# If broken - don't require it....
#BuildRequires:	lua-devel
BuildRequires:	perl
Requires:	Hermes >= 1.3.1
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
The ClanLib SDK is designed to provide an platform independent game
SDK using a lot cleaner (and object oriented) interface than the
traditional way it is done in DirectX, SDL and such. The goals is to
avoid game developers constantly reinventing the wheel by providing
smarter ways to eg. load surfaces.

%description -l pl
ClanLib SDK jest projektowany jako niezaleny od platformy SDK dla
gier. Stosuje prosty (i zorientowany obiektowo) interfejs,
przejrzystszy ni DirectX, SDL i inne.

%description -l pt_BR
A Clanlib  uma biblioteca de jogos multi-plataforma desenhada para
facilitar o trabalho dos desenvolvedores. A idia principal  fornecer
uma interface comum para os problemas clssicos dos jogos (carregar
grficos por exemplo).

%package devel
Summary:	ClanLib development package
Summary(pl):	pakiet programistyczny dla ClanLib
Summary(pt_BR):	Arquivos para desenvolvimento usando a Clanlib
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	%{name}-OpenGL = %{version}
Requires:	%{name}-MikMod = %{version}
Requires:	%{name}-TTF = %{version}
Requires:	%{name}-Vorbis = %{version}
Requires:	Hermes-devel

%description devel
This is the development add-on package that includes the header files
needed to compile new ClanLib applications.

%description devel -l pl
Programistyczne dodatki do ClanLib-a, zawieraj pliki nagwkowe
potrzebne do kompilacji programw korzystajcych z ClanLib.

%description devel -l pt_BR
Arquivos que possibilitam o desenvolvimento de aplicativos utilizando
a biblioteca Clanlib.

%package svgalib
Summary:	svgalib target for ClanLib
Summary(pl):	obsuga svgalib dla ClanLib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description svgalib
This is the svgalib target for ClanLib.

%description svgalib -l pl
Obsuga svgalib dla ClanLib-a.

%package OpenGL
Summary:	OpenGL target for ClanLib
Summary(pl):	obsuga OpenGL dla ClanLib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description OpenGL
This is the OpenGL target for ClanLib.

%description OpenGL -l pl
Obsuga OpenGL dla ClanLib-a.

%package GGI
Summary:	GGI target for ClanLib
Summary(pl):	obsuga GGI dla ClanLib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description GGI
This is the GGI target for ClanLib.

%description GGI -l pl
Obsuga GGI dla ClanLib-a.

%package MikMod
Summary:	MikMod module for ClanLib
Summary(pl):	Modu Mikmod dla ClanLib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description MikMod
MikMod module for ClanLib.

%description MikMod -l pl
Modu Mikmod dla ClanLib-a.

%package Vorbis
Summary:	Vorbis module for ClanLib
Summary(pl):	Modu Vorbis dla ClanLib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description Vorbis
Vorbis module for ClanLib.

%description Vorbis -l pl
Modu Vorbis dla ClanLib-a.

%package TTF
Summary:	TTF module for ClanLib
Summary(pl):	Modu TTF dla ClanLib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description TTF
TTF module for ClanLib.

%description TTF -l pl
Modu TTF dla ClanLib-a.

%package static
Summary:	ClanLib development package
Summary(pl):	pakiet programistyczny dla ClanLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This is the development add-on package that includes the header files
needed to compile new ClanLib applications.

%description static -l pl
Programistyczne dodatki do ClanLib-a, zawieraj pliki nagwkowe
potrzebne do kompilacji programw korzystajcych z ClanLib.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
# note: rtti is needed --- ClanLib uses exceptions!
%{__aclocal}
%{__autoconf}
%configure \
	--enable-static \
	--enable-shared \
	--%{?debug:en}%{!?debug:dis}able-debug \
%ifarch %{ix86}
	--enable-asm386 \
%endif
	--enable-clansound \
	--enable-dyn \
	--enable-fbdev \
	--enable-gui \
	--enable-jpeg \
	--enable-mikmod \
	--enable-network \
	--enable-opengl \
	--enable-png \
	--enable-smalljpeg \
	--enable-ttf \
	--enable-vidmode \
	--enable-vorbis \
	--enable-x11 \
	--disable-lua \
	--disable-directfb
# lua is broken, DirectFB too fresh?

# not functional right now
# in fact - non existenz in actual configure...
#	--enable-mpeg


%{__make}
%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	LIB_PREFIX="$RPM_BUILD_ROOT%{_libdir}" \
	TARGET_PREFIX="$RPM_BUILD_ROOT%{_libdir}/ClanLib" \
	BIN_PREFIX="$RPM_BUILD_ROOT%{_bindir}" \
	INC_PREFIX="$RPM_BUILD_ROOT%{_includedir}"

%{__make} docs_install \
	MAN_PREFIX="$RPM_BUILD_ROOT%{_mandir}" \
	HTML_PREFIX="`pwd`/html"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   OpenGL -p /sbin/ldconfig
%postun OpenGL -p /sbin/ldconfig

%post   MikMod -p /sbin/ldconfig
%postun MikMod -p /sbin/ldconfig

%post   TTF -p /sbin/ldconfig
%postun TTF -p /sbin/ldconfig

%post   Vorbis -p /sbin/ldconfig
%postun Vorbis -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclanApp.so.*.*
%attr(755,root,root) %{_libdir}/libclanCore.so.*.*
%attr(755,root,root) %{_libdir}/libclanDisplay.so.*.*
%attr(755,root,root) %{_libdir}/libclanGUI.so.*.*
%attr(755,root,root) %{_libdir}/libclan*JPEG.so.*.*
%attr(755,root,root) %{_libdir}/libclanNetwork.so.*.*
#%attr(755,root,root) %{_libdir}/libclanMPEG.so.*.*
%attr(755,root,root) %{_libdir}/libclanPNG.so.*.*
%attr(755,root,root) %{_libdir}/libclanSound.so.*.*

%files OpenGL
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclanGL.so.*.*

%files MikMod
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclanMikMod.so.*.*

%files Vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclanVorbis.so.*.*

%files TTF
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclanTTF.so.*.*

%files devel
%defattr(644,root,root,755)
%doc README CREDITS html
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_bindir}/*
%{_includedir}/ClanLib

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ClanLib.spec,v $
Revision 1.73  2002/10/12 16:51:30  kloczek
- release 6.

Revision 1.72  2002/10/12 16:42:12  qboosh
- explicitly disable DirectFB - doesn't build with 0.9.12
- removed obsolete libpng 1.2.2 hack

Revision 1.71  2002/10/09 13:14:13  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.70  2002/07/21 17:45:10  kloczek
- release 5: rebuild against final libvorbis 1.0.

Revision 1.69  2002/07/11 02:52:56  blues
- release 4
- OpenGL package is back...

Revision 1.68  2002/06/19 08:51:53  kloczek
- release 3.

Revision 1.67  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.66  2002/05/21 23:12:35  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.65  2002/04/27 22:31:31  qboosh
- libpng 1.2.2 support

Revision 1.64  2002/04/23 20:16:58  kloczek
- release 2.

Revision 1.63  2002/04/20 15:07:13  marcus
- s/OpenGL/GGI in pl description GGI subpkg

Revision 1.62  2002/04/20 10:26:19  trojan
- revert %%ghost from %%files

Revision 1.61  2002/04/18 09:19:41  trojan
- updated to 0.6.1
- added %ghost lib*.so.x (they're created by ldconfig)
- uncomented static package
- added BR: libjpeg-devel

Revision 1.60  2002/04/03 15:23:59  wiget
one more BR

Revision 1.59  2002/03/26 07:15:34  kloczek
- removed double --disable-debug and simplified %%{debug} handling in
  %%configure parameters.

Revision 1.58  2002/03/25 21:33:10  marcus
- typo

Revision 1.57  2002/03/25 21:30:51  marcus
- addedd config patch for configure.in,
- rel.4.

Revision 1.56  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 11:20:54  kloczek
- release 3: merge translations from Conectiva.

Revision 1.53  2002/01/18 02:12:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2001/11/28 12:34:49  saq
- ./configure --disable-lua (build would break when lua-devel was
  available)
- release 2, STBR

Revision 1.51  2001/11/16 20:58:38  saq
- -devel reqs Hermes-devel

Revision 1.50  2001/11/01 20:59:04  mkierus
- updated to 0.5.1

Revision 1.49  2001/09/17 22:22:36  kloczek
- added autoconf, automake to BuildRequires.

Revision 1.48  2001/09/17 22:19:54  kloczek
- spec adapterized.

Revision 1.47  2001/09/17 16:02:54  blues
- release 2
- ac2.5 ready

Revision 1.46  2001/07/18 03:20:02  kloczek
- spec adapterized.

Revision 1.45  2001/04/29 10:08:54  misiek
requires ttf and friends

Revision 1.44  2001/04/29 09:24:26  misiek
updated to 0.5.0

Revision 1.43  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.42  2001/03/17 06:05:28  kloczek
- spec adapterized and added using rpm automation.

Revision 1.41  2001/03/16 23:04:10  qboosh
- updated Magick patch to compile with ImageMagick 5.2.9

Revision 1.40  2000/07/30 04:55:02  kloczek
- cosmetics.

Revision 1.39  2000/07/28 13:56:20  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.38  2000/07/28 13:03:37  kloczek
- BuildRequires for Mesa-devel changed to OpenGL-devel.

Revision 1.37  2000/07/28 13:02:53  kloczek
- release 2,
- rebuild agains OpenGL from XFree86 4.0.x.

Revision 1.36  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.35  2000/06/09 07:22:44  kloczek
- added using %%{__make} macro.

Revision 1.34  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.33  2000/04/19 11:21:59  kloczek
- spec adapterized,
- some cosmetics.

Revision 1.32  2000/04/19 10:39:44  jajcus
- make it work with new ImageMagick

Revision 1.31  2000/04/17 16:03:03  jajcus
- BuildRequires added

Revision 1.30  2000/04/16 17:54:51  jajcus
- use of $RPM_OPT_FLAGS
- GGI support added

Revision 1.29  2000/04/15 10:43:51  jajcus
- updated to 0.4.3
- divided into several subpackages for minimal dependencies

Revision 1.28  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.26  2000/03/23 16:37:47  jasio
Poprawa literwki.

Revision 1.25  1999/12/27 23:13:10  wiget
0.2.3

Revision 1.24  1999/11/25 14:49:45  mikrobi
- added missing Requires and BuildRequires: Hermes >= 1.2.6

Revision 1.23  1999/11/25 14:10:55  mikrobi
- upgraded to 0.2.2
- ./autogen.sh added in %configure

Revision 1.22  1999/09/08 21:47:16  kloczek
- added apssing LDFALGS="-s" to ./configure enviroent.

Revision 1.21  1999/09/07 13:49:21  mikrobi
- upgrade to version 0.1.16; do NOT upgrade to v0.1.17 or 0.1.18, they're
  broken!

Revision 1.20  1999/08/06 13:04:00  jasio
Changed Cleanlib -> Clanlib.

Revision 1.19  1999/07/20 12:48:04  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jul 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [0.1.15-1]
- commented out static subpackage (don't know how to make it)

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [0.1.14-3]
- fixed install

* Tue Apr 20 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.1.14-2]
- added BuildPrereq (libpng-devel, libz-devel, Hermes-devel).
- added -q %setup patameter,
- added static subpackage.

* Mon Apr 19 1999 Konrad Stepie <kornad@interdata.com.pl>
  [0.1.14-1]
- initial version
